<?php
defined('BASEPATH') or exit('No direct script access allowed');

/** 
 * @property Messaging_model $Messaging_model
 */
class Messaging extends MY_ApiController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function listing()
    {
        $parent_id = $this->input->get('parent_id');
        $this->load->model('Messaging_model');
        $res = $this->Messaging_model->get_messagings($parent_id);

        echo $this->respond(['messaging' => $res]);
    }
}
